Class | Fog::Storage::HP::File
In: | lib/fog/hp/models/storage/file.rb
Parent: | Fog::Model

### Methods

body body= cdn_public_url copy destroy directory owner= public_url save

### Public Instance methods

body()
body=(new_body)
cdn_public_url()
copy(target_directory_key, target_file_key)
destroy()
directory()
owner=(new_owner)
public_url()

def public=(new_public)

      new_public

end

save(options = {})

[Validate]